<?php
namespace App\Exports;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class JobDetailsExport implements WithMultipleSheets
{
    protected $jobDetails;
    protected $wasteDetails;

    public function __construct($jobDetails, $wasteDetails)
    {
        $this->jobDetails = $jobDetails;
        $this->wasteDetails = $wasteDetails;
    }

    public function sheets(): array
    {
        return [
            new JobDetailsSheet($this->jobDetails),
            new WasteDetailsSheet($this->wasteDetails),
        ];
    }
}

// JobDetailsSheet class
namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;

class JobDetailsSheet implements FromArray, WithHeadings
{
    protected $jobDetails;

    public function __construct($jobDetails)
    {
        $this->jobDetails = $jobDetails;
    }

    public function array(): array
    {
        return $this->jobDetails;
    }

    public function headings(): array
    {
        return ['Job Length', 'Used Pieces'];
    }
}

// WasteDetailsSheet class
namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;

class WasteDetailsSheet implements FromArray, WithHeadings
{
    protected $wasteDetails;

    public function __construct($wasteDetails)
    {
        $this->wasteDetails = $wasteDetails;
    }

    public function array(): array
    {
        return $this->wasteDetails;
    }

    public function headings(): array
    {
        return ['Job Length', 'Waste Length'];
    }
}

