<?php

namespace App\Http\Controllers;

use App\Models\StockUsed;
use App\Models\Waste;
use Illuminate\Http\Request;
use PDF;

class ReportController extends Controller
{
    public function reports()
    {
        $totalLength = StockUsed::sum('length');
        // Sum of costs
        $totalCost = StockUsed::sum('cost');
        $wasteLength = Waste::sum('length');
        return view('admin.report.index', ['totalCost' => $totalCost, 'totalLength' => $totalLength,'wasteLength'=>$wasteLength]);
    }

    public function generateReport()
    {
        // Example Data - Replace with your dynamic query
        $data = [
            'totalLength' => StockUsed::sum('length'),
            'totalCost' => StockUsed::sum('cost'),
            'wasteLength' => Waste::sum('length'),
            'wastePercentage' => 20,
            'reportDate' => now()->format('Y-m-d H:i:s'),
        ];

        // Load the view and pass the data to the PDF generator
        $pdf = PDF::loadView('admin.report.summary_report', $data);

        // Return the PDF as a download
        return $pdf->download('summary_report.pdf');
    }
}
