@extends('layouts.app')

@section('title', 'Home Page') <!-- Title specific to this page -->

@section('content')

    <body>

        <!-- Main Wrapper -->
        <div class="main-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-xl-3 col-sm-6 col-12 d-flex">
                        <div class="dash-widget w-100">
                            <div class="dash-widgetimg">
                                <span><img src="assets/img/icons/dash1.svg" alt="img"></span>
                            </div>
                            <div class="dash-widgetcontent">
                                <h5><span class="counters" data-count="{{ $jobs }}">{{ $jobs }}</span></h5>
                                <h6>Total Jobs</h6>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-sm-6 col-12 d-flex">
                        <div class="dash-widget dash1 w-100">
                            <div class="dash-widgetimg">
                                <span><img src="assets/img/icons/dash2.svg" alt="img"></span>
                            </div>
                            <div class="dash-widgetcontent">
                                <h5><span class="counters">{{ $stocks }}</span></h5>
                                <h6>Total Stocks</h6>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-sm-6 col-12 d-flex">
                        <div class="dash-widget dash2 w-100">
                            <div class="dash-widgetimg">
                                <span><img src="assets/img/icons/dash3.svg" alt="img"></span>
                            </div>
                            <div class="dash-widgetcontent">
                                <h5><span class="counters">{{ $waste }}</span></h5>
                                <h6>Total Waste</h6>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-sm-6 col-12 d-flex">
                        <div class="dash-widget dash2 w-100">
                            <div class="dash-widgetimg">
                                <span><img src="assets/img/icons/dash4.svg" alt="img"></span>
                            </div>
                            <div class="dash-widgetcontent">
                                <h5><span class="counters">{{number_format($wastePercentage,2)}}</span></h5>
                                <h6>Total Waste ( in %)</h6>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Button trigger modal -->

                <div class="row">
                    <div class="col-xl-12 col-sm-12 col-12 d-flex">
                        <div class="card flex-fill">
                            <div class="card-header d-flex justify-content-between align-items-center">
                                <h5 class="card-title mb-0">Stock Usage Chart</h5>
                                <div class="graph-sets">
                                    <ul class="mb-0">
                                        <li>
                                            <span>Stock used</span>
                                        </li>
                                        <li>
                                            <span>Stock wasted</span>
                                        </li>
                                    </ul>
                                    <div class="dropdown dropdown-wraper">
                                        {{-- <button class="btn btn-light btn-sm dropdown-toggle" type="button"
                                            id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            2024
                                        </button> --}}
                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                            <li>
                                                <a href="javascript:void(0);" class="dropdown-item">2024</a>
                                            </li>
                                            <li>
                                                <a href="javascript:void(0);" class="dropdown-item">2023</a>
                                            </li>
                                            <li>
                                                <a href="javascript:void(0);" class="dropdown-item">2022</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div id="chartData" class="chart-set"></div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>



        </div>
        <!-- /Main Wrapper -->

        <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
        <script>
            document.addEventListener("DOMContentLoaded", function () {
                var options = {
                    series: [{{ $stockPercentage }}, {{ $wastePercentage }}],
                    chart: {
                        type: 'donut',
                        height: 350
                    },
                    labels: ['Stock Used', 'Waste Used'],
                    colors: ['#4CAF50', '#F44336'], // Green for stock, red for waste
                    legend: {
                        position: 'bottom'
                    },
                    plotOptions: {
                        pie: {
                            donut: {
                                size: '70%'
                            }
                        }
                    }
                };
        
                var chart = new ApexCharts(document.querySelector("#chartData"), options);
                chart.render();
            });
        </script>
    </body>
@endsection

@push('styles')
    <link rel="stylesheet" href="{{ asset('css/home.css') }}">
@endpush

@push('scripts')
    <script src="{{ asset('js/home.js') }}"></script>
@endpush
